netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
pack.c File Reference
`#include <arpa/inet.h>`
`#include <inttypes.h>`
`#include <string.h>`
`#include <sys/param.h>`
`#include <db.h>`
`#include <atalk/cnid_bdb_private.h>`
`#include <atalk/logger.h>`
`#include <atalk/unicode.h>`
`#include <atalk/volume.h>`
`#include "pack.h"`

## Functions
static void | pack_devino (unsigned char *buf, dev_t dev, ino_t ino)
int | didname (DB *dbp, const DBT *pkey, const DBT *pdata, DBT *skey)
int | devino (DB *dbp, const DBT *pkey, const DBT *pdata, DBT *skey)
int | idxname (DB *dbp, const DBT *pkey, const DBT *pdata, DBT *skey)
void | pack_setvol (const struct vol *vol)
unsigned char * | pack_cnid_data (struct cnid_dbd_rqst *rqst)

## Variables
static const struct vol * | volume

## Function Documentation

## ◆ devino()

int devino | ( | DB * | dbp,
|  | const DBT * | pkey,
|  | const DBT * | pdata,
|  | DBT * | skey )

## ◆ didname()

int didname | ( | DB * | dbp,
|  | const DBT * | pkey,
|  | const DBT * | pdata,
|  | DBT * | skey )

## ◆ idxname()

int idxname | ( | DB * | dbp,
|  | const DBT * | pkey,
|  | const DBT * | pdata,
|  | DBT * | skey )

## ◆ pack_cnid_data()

unsigned char * pack_cnid_data | ( | struct cnid_dbd_rqst * | rqst | ) |

## ◆ pack_devino()

void pack_devino | ( | unsigned char * | buf,
|  | dev_t | dev,
|  | ino_t | ino )
| static

## ◆ pack_setvol()

void pack_setvol | ( | const struct vol * | vol | ) |

## Variable Documentation

## ◆ volume

const struct vol* volume
| static